Package org.opensaml.soap.wsfed.impl

# Class RequestSecurityTokenResponseImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wsfed.impl.RequestSecurityTokenResponseImpl

All Implemented Interfaces:
  `XMLObject`, `RequestSecurityTokenResponse`, `WSFedObject`

public class RequestSecurityTokenResponseImpl extends AbstractXMLObject implements RequestSecurityTokenResponse
Implementation of the `RequestSecurityTokenResponse` object.

## Field Summary

Fields
Modifier and Type
Field
Description
`private AppliesTo`
`appliesTo`
Entity to whom the tokens apply.
`private final XMLObjectChildrenList<RequestedSecurityToken>`
`requestedSecurityTokens`
List of all the request security tokens.

### Fields inherited from interface org.opensaml.soap.wsfed.RequestSecurityTokenResponse

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`RequestSecurityTokenResponseImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`AppliesTo`
`getAppliesTo()`
Gets the entity to which the token applies.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<RequestedSecurityToken>`
`getRequestedSecurityToken()`
Return the list of Security Token child elements.
`void`
`setAppliesTo(AppliesTo newappliesTo)`
Set the entity to which the token applies.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### requestedSecurityTokens

@Nonnull private final XMLObjectChildrenList<RequestedSecurityToken> requestedSecurityTokens
List of all the request security tokens.

### appliesTo

@Nullable private AppliesTo appliesTo
Entity to whom the tokens apply.

## Constructor Details

### RequestSecurityTokenResponseImpl

RequestSecurityTokenResponseImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getRequestedSecurityToken

@Nonnull public List<RequestedSecurityToken> getRequestedSecurityToken()
Return the list of Security Token child elements.

Specified by:
  `getRequestedSecurityToken` in interface `RequestSecurityTokenResponse`
Returns:
  the list of RequestedSecurityToken child elements.

### getAppliesTo

@Nullable public AppliesTo getAppliesTo()
Gets the entity to which the token applies.

Specified by:
  `getAppliesTo` in interface `RequestSecurityTokenResponse`
Returns:
  the entity to which the token applies

### setAppliesTo

public void setAppliesTo(@Nullable AppliesTo newappliesTo)
Set the entity to which the token applies.

Specified by:
  `setAppliesTo` in interface `RequestSecurityTokenResponse`
Parameters:
  `newappliesTo` - the entity to which the token applies

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements